<!DOCTYPE HTML>
<html>
<head>
	
	<script> // script avec la fonction, il faut l"appeler ensuite
        function page() {
        var nombre = 34;
        document.write("Nombre = " + nombre + "<br><br>");
        var ch1 = "Une chaine";
        document.write("Chaine = " + ch1 + "<br><br>");
        var message3 =  "test";
        var nombre2 = 2;
        document.write(message3 + " " + nombre2 + "! <br><br>")      
        document.write("<table border=1><tbody><tr><td>Le nombre est = </td><td>"+nombre2+
        "</td></tr><tr><td>La chaine est = </td><td>"+message3+"</td></tr></tbody></tr></table>");
        }

        function affichetab(t1,t2,t3,t4){
        return document.write("<table border=1><tbody><tr><td>"+t1+"</td><td>"+t2+"</td></tr><tr><td>"
        +t3+"</td><td>"+t4+"</td></tr></tbody></tr></table>");
        }

		function bouton1() {
			alert("Texte que je veux")
		}
		function alert1(text) {
			alert("au dessus d'un lien")
		}
		function alert2(text) {
			alert(text)
        }
    
	</script>

</head>
	<body>
		<script type="text/javascript">
			page()
			document.write("<br><br>");
            affichetab("mot1","mot2", "mot3", "mot4");
            

            

		</script><br>

		<form>
			<button onclick="bouton1()">clique</button>
		</form><br>
	
		<div><p><a href="" onmouseover="alert1()">Lien 1</a></p></div><br>
        <div><p><a href="" onmouseover="alert2(page)">Lien 2</a></p></div><br>
        

	</body>
</html>
